<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@null"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="44.5dp"
            android:orientation="horizontal"
            android:scrollbars="none">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <kr.co.hanwha.hifive.view.FontEditText
                    android:id="@+id/editText"
                    style="@style/font_notosans_r_14sp_grey01"
                    android:layout_width="match_parent"
                    android:layout_height="44dp"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:maxLines="1"
                    android:textColorHint="#cccccc"
                    android:theme="@style/EditTextTheme" />

                <ImageView
                    android:id="@+id/alert_imageView"
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:padding="7dp"
                    android:src="@mipmap/ic_error"
                    android:visibility="gone" />

                <ImageButton
                    android:id="@+id/clear_imageButton"
                    android:layout_width="34dp"
                    android:layout_height="34dp"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:background="@null"
                    android:padding="7dp"
                    android:src="@mipmap/ic_x1"
                    android:visibility="gone" />

                <ImageButton
                    android:id="@+id/eye_imageButton"
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:background="@null"
                    android:padding="7dp"
                    android:src="@drawable/ic_view"
                    android:visibility="gone" />

                <View
                    android:id="@+id/line_view"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_alignParentBottom="true"
                    android:background="@color/hf_grey14" />

            </RelativeLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>